%!octave 
%
%       OS : GNU/Linux 3.9.3-1-ARCH 
% COMPILER : GNU Octave, version 3.8.0
%
%   AUTHOR : Evgeny S. Borisov
%
%  % 
%    http://www.mechanoid.kiev.ua
%  e-mail : nn@mechanoid.kiev.ua
% 
% $Id: plot_error.m,v 1.1 2017/06/05 13:07:46 mechanoid Exp $

% - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 
% рисуем график изменения ошибки 
% er - значения ошибки
%
function []=plot_error(er),
   pix_size="-S420,240";
   pix_font_size=10;
   pix_format="gif";
 
   se=length(er);

   clf; hold on; grid on; set(gca,"fontsize",pix_font_size); 
   plot( [1:se], er, "-r" ) ;
   %t=sprintf("iter: 1-%i, error %.5f", se2,er(se2) );
   %title(t);
   file=sprintf("result/error.%s",pix_format);
   fm=sprintf("-d%s",pix_format);
   print(file,fm,pix_size) ;

endfunction

