%!octave 
%
%
%
%       OS : GNU/Linux 4.2.5
% COMPILER : GNU Octave, version 4.0.0
%
%   AUTHOR : Evgeny S. Borisov
% 
%    http://www.mechanoid.kiev.ua
%  e-mail : nn@mechanoid.kiev.ua
% 
% $Id: w2v_weigth_init.m,v 1.1 2017/05/31 11:49:04 mechanoid Exp $

% - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 
function [v,w] = w2v_weigth_init(n,k),
   % n = 10 ; % количество слов в словаре
   % k = 30 ; % размер скрытого слоя H
   v = normrnd( zeros(n,k),ones(n,k)*1e-2 ) ; % веса связей от входного к скрытому слою
   w = normrnd( zeros(k,n),ones(k,n)*1e-2 ) ; % веса связей от скрытого к выходному слою
endfunction

