%!octave 
%
%
%       OS : GNU/Linux 4.2.5
% COMPILER : GNU Octave, version 4.0.0
%
%   AUTHOR : Evgeny S. Borisov
% 
%    http://www.mechanoid.kiev.ua
%  e-mail : nn@mechanoid.kiev.ua
% 
% $Id: main.m,v 1.14 2017/06/05 13:45:13 mechanoid Exp mechanoid $

split_long_rows(0) ; % set nowrap

% - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 


printf("[i] загружаем данные...\n")
[C,W] = w2v_data_load() ;
n = size(W,2); % количество слов в словаре

k = 30 ; % размер скрытого слоя H

printf("[i] инициализируем веса...\n")
[Vi,Vo] = w2v_weigth_init(n,k) ;

% printf("[i] запускаем обучение методом CBOW ...\n")
% [Vi,Vo,er] = w2v_fit_cbow(C,W,Vi,Vo) ;

printf("[i] запускаем обучение методом Skip-Gram ...\n")
[Vi,Vo,er] = w2v_fit_skip_gram(C,W,Vi,Vo) ;

save("-text","result/vi.txt","Vi") ;
% save("-text","result/vo.txt","Vo") ;
% save("-text","result/er.txt","er") ;
plot_error(er) ;

