%!octave 
%
%
%
%       OS : GNU/Linux 4.2.5
% COMPILER : GNU Octave, version 4.0.0
%
%   AUTHOR : Evgeny S. Borisov
% 
%    http://www.mechanoid.kiev.ua
%  e-mail : nn@mechanoid.kiev.ua
% 
% $Id: w2v_data_load.m,v 1.4 2017/06/05 12:48:07 mechanoid Exp $


% - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 
function [ C,W ] = w2v_data_load(),

   data = load("data/data.mat") ;
   C  = data.C ;
   W  = data.W ;

   n = size(W,2) ;
   m = size(W,1) ;
   c = size(C,2) ;

   printf("\tколичество слов в словаре:%i\n",n);
   printf("\tколичество слов в тексте:%i\n",m);
   printf("\tразмер окна контекста:%i\n",c);


endfunction



% % - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 
% function [ C,W ] = w2v_data_load(c),
%    % c = 3 ; % размер окна контекста, количество слов перед текущим словом и после него
% 
%    T = load("data/code.txt") ;
%    n = T(1); % количество слов в словаре
%    T(1)=[] ;
%    m = length(T) ; % количество слов в тексте
% 
%    % V = textread("data/words.txt","%s") ; % словарь собранный из текста
% 
%    printf("\tколичество слов в словаре:%i\n",n);
%    printf("\tколичество слов в тексте:%i\n",m);
%    printf("\tразмер окна контекста:%i\n",2*c+1);
% 
% 
%    printf("\tкодирование словаря...\n");
%    Ve = eye(n) ; % унитарное кодирование словаря (one-hot-encoding)
% 
%    printf("\tперекодирование текста.... \n");
%    Te = Ve(T,:) ; % кодированный текст (последовательность кодов слов)
% 
%    printf("\tформируем учебный набор...\n");
%    % формируем учебный набор
%    W = C = [] ;
%    for i=1+c:m-c,
%      W(end+1,:) = Te(i,:) ; % код текущего слова
%      C(end+1,:,:) = [ Te(i-c:i-1,:) ; Te(i+1:i+c,:) ] ; % коды слов из 2с-окрестности
%      printf("\t %i/%i   \r",i-c+1,m-2*c+1);
%    endfor
% save("-text","result/c.txt","C") ;
% save("-text","result/w.txt","W") ;

% 
% endfunction
